--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Draw a polygon. <tt>points</tt> is an array of PolygonPoint objects, or an array that can be converted to an array of PolygonPoint objects with <tt>PDF::Writer::PolygonPoint.new(*value)</tt>.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "New Point:"
    body: <tt>(points[-1].x, points[-1].y)</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "Subpath:"
    body: New
  type: :NOTE
full_name: PDF::Writer::Graphics#polygon
is_singleton: false
name: polygon
params: (points)
visibility: public
